VERSION 5.00
Begin VB.Form Form1 
   Appearance      =   0  'Flat
   BackColor       =   &H00000000&
   Caption         =   "Slideshow"
   ClientHeight    =   5775
   ClientLeft      =   1920
   ClientTop       =   1680
   ClientWidth     =   7140
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H00FFFFFF&
   Icon            =   "FORM1.frx":0000
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   5775
   ScaleWidth      =   7140
   WindowState     =   2  'Maximized
   Begin VB.Image Image1 
      Height          =   855
      Left            =   0
      Top             =   0
      Width           =   1335
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Dim gStartTime As Date
Private Sub Form_Load()
Dim lngX, lngY, lngCounter, lngDelay As Long
Dim blnTooSmall, blnChanged, blnBgSound, blnFgSound As Boolean
Dim strFiles() As String
Dim strPath, strPicture, strSound, strBuffer As String
    Show
    On Error Resume Next
    'Get the directory of the pictures as well as the first picture name
    If Right(App.Path, 1) = "\" Then
        strPicture = Dir(App.Path & "*.jpg")
        strPath = App.Path
    Else
        If Dir(App.Path & "\..\" & App.EXEName & "\*.jpg") <> "" Then
            strPicture = Dir(App.Path & "\..\" & App.EXEName & "\*.jpg")
            strPath = App.Path & "\..\" & App.EXEName & "\"
        Else
            strPicture = Dir(App.Path & "\*.jpg")
            strPath = App.Path & "\"
        End If
    End If
    'Fill the Files array with picture names
    ReDim strFiles(0)
    Do While strPicture <> ""
        If strFiles(UBound(strFiles)) <> "" Then
            ReDim Preserve strFiles(UBound(strFiles) + 1)
        End If
        strFiles(UBound(strFiles)) = strPicture
        strPicture = Dir
    Loop
    'Sort the Files array
    blnChanged = True
    Do Until Not blnChanged
        blnChanged = False
        For lngCounter = LBound(strFiles) + 1 To UBound(strFiles)
            If strFiles(lngCounter - 1) > strFiles(lngCounter) Then
                blnChanged = True
                strBuffer = strFiles(lngCounter - 1)
                strFiles(lngCounter - 1) = strFiles(lngCounter)
                strFiles(lngCounter) = strBuffer
            End If
        Next
    Loop
    'Is there a background sound?
    If Dir(strPath & App.EXEName & ".wav") <> "" Then
        strSound = strPath & App.EXEName & ".wav"
        blnBgSound = True
        sndPlaySoundA strSound, SND_ASYNC Or SND_LOOP Or SND_NODEFAULT
    Else
        blnBgSound = False
    End If
    'Walk the array of pictures!
    For lngCounter = LBound(strFiles) To UBound(strFiles)
        gStartTime = Now
        strPicture = strFiles(lngCounter)
        If strPicture <> "" Then
            MousePointer = vbHourglass
            AutoRedraw = False
            Image1.Stretch = False
            Image1.Visible = False
            Image1.Picture = LoadPicture(strPath & strPicture)
            lngX = Image1.Width
            lngY = Image1.Height
            Image1.Top = 0
            Image1.Left = 0
            If lngX < Width And lngY < Height Then
                'Image needs to be stretched
                Image1.Stretch = True
                lngX = Image1.Width
                lngY = Image1.Height
                If lngX / lngY > Width / Height Then
                    'Image is a wide image
                    Image1.Width = Width
                    Image1.Height = lngY * (Width / lngX)
                Else
                    'Image is a tall image
                    Image1.Height = Height
                    Image1.Width = lngX * (Height / lngY)
                End If
                'Center the image vertically
                Image1.Top = ((Height - 260) / 2 - Image1.Height / 2)
                'Center the image horizontally
                Image1.Left = Width / 2 - Image1.Width / 2
                If (Height - Image1.Height) < 10 Then
                    Image1.Top = 0
                Else
                    'Center the image vertically again.
                    Image1.Top = ((Height - 260) / 2 - Image1.Height / 2)
                End If
            End If
            If lngX > Width Then
                'Image is too wide. Scale it.
                Image1.Width = Width
                Image1.Height = CLng((lngY / lngX) * Width)
                lngX = Image1.Width
                lngY = Image1.Height
                Image1.Stretch = True
                'Center the image vertically
                Image1.Top = ((Height - 260) / 2 - Image1.Height / 2)
            End If
            If lngY > Height Then
                'Image is too high. Scale it.
                Image1.Height = Height
                Image1.Width = CLng((lngX / lngY) * Height)
                Image1.Stretch = True
                'Center the image horizontally
                Image1.Left = Width / 2 - Image1.Width / 2
                If (Height - Image1.Height) < 10 Then
                    Image1.Top = 0
                Else
                    'Center the image vertically again.
                    Image1.Top = ((Height - 260) / 2 - Image1.Height / 2)
                End If
            End If
            'Time to show the picture!
            Image1.Visible = True
            Caption = strPicture
            AutoRedraw = True
            Refresh
            DoEvents
            'If we aren't playing a background sound, see if there is a specific sound
            If Not blnBgSound Then
                strSound = strPath & Left(strPicture, Len(strPicture) - 3) & "wav"
                If Dir(strSound) <> "" Then
                    blnFgSound = True
                Else
                    blnFgSound = False
                End If
            End If
            If ((blnBgSound = False) And (blnFgSound = True)) Then
                'Play sound synchronously and use it to time the picture
                sndPlaySoundA strSound, SND_NODEFAULT Or SND_SYNC
                MousePointer = vbNormal
            Else
                'Check the picture name to see if it has timing info
                lngDelay = 5
                If InStr(strPicture, "^") <> 0 Then
                    lngDelay = CLng(Val("0" & Mid(strPicture, InStr(strPicture, "^") + 1)))
                    If lngDelay = 0 Or lngDelay > 300 Then lngDelay = 5
                End If
                'Show picture for 5 seconds or time after caret
                MousePointer = vbNormal
                Do Until (Now - gStartTime) * 60 * 60 * 24 > lngDelay
                    DoEvents
                Loop
            End If
        End If
    Next
    'Go away.
    Form_Unload (0)
End Sub

Private Sub Form_Unload(Cancel As Integer)
    sndPlaySoundA vbNull, SND_ASYNC
    Close
    End
End Sub

Private Sub Image1_Click()
    gStartTime = Now - 1
End Sub


